Update a sub account Run in API Explorer
Ask AI
PUT
/api/v1/plans/{plan_uuid}/sub-accounts/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Johns ISA",
"policy_number": "AVF-4355432",
"proposal_reference": "BtMWiy0JwHtogU4",
"active_portfolio_uuid": "3d0fb49e-7ab2-4d5b-a8f5-3a8edf11887b"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Johns ISA",
"policy_number": "AVF-4355432",
"proposal_reference": "BtMWiy0JwHtogU4",
"active_portfolio_uuid": "3d0fb49e-7ab2-4d5b-a8f5-3a8edf11887b"
}
Response examples (200)
{
"uuid": "731b9c82-1e4f-48ab-9bfa-a1471c1a92eb",
"created_at": "2026-11-18T20:11:44+00:00",
"updated_at": "2026-11-18T20:11:44+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "e0f00e2a-8d30-4ce9-a49a-067750cf1ef9",
"created_at": "2026-11-18T20:11:44+00:00",
"updated_at": "2026-11-18T20:11:44+00:00",
"valued_at": "2026-11-18T20:11:44+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "98037272-b595-47eb-8d9a-b30d77df64d9",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "b6780f94-dc5c-4741-aae0-7e2f4f9e156b",
"created_at": "2026-11-18T20:11:44+00:00",
"updated_at": "2026-11-18T20:11:44+00:00",
"is_proposed": true,
"proposed_at": "2026-11-18T00:00:00+00:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}
Response examples (409)
{
"message": "Plan is being deleted."
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}